> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmembrane.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all customers



## OpenAPI

````yaml /api-reference/membrane-api.json get /customers
openapi: 3.0.0
info:
  title: Membrane API
  description: API documentation for Membrane Engine
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getmembrane.com
security:
  - bearer: []
tags: []
paths:
  /customers:
    get:
      tags:
        - Customers
      summary: List all customers
      operationId: listCustomers
      parameters:
        - name: isTest
          required: false
          in: query
          schema:
            type: boolean
        - name: isActive
          required: false
          in: query
          schema:
            type: boolean
        - name: limit
          required: false
          in: query
          description: Maximum number of items to return (1-1000)
          schema:
            minimum: 1
            maximum: 1000
            type: integer
        - name: cursor
          required: false
          in: query
          description: Pagination cursor from a previous response
          schema:
            type: string
        - name: search
          required: false
          in: query
          description: Text search query to filter results
          schema:
            type: string
        - name: includeArchived
          required: false
          in: query
          schema:
            type: boolean
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomersPaginatedResponseDto'
components:
  schemas:
    CustomersPaginatedResponseDto:
      type: object
      properties:
        items:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              name:
                type: string
              meta:
                type: object
                additionalProperties:
                  type: object
              internalId:
                type: string
              fields:
                type: object
                additionalProperties:
                  type: object
              credentials:
                type: object
              lastActiveAt:
                type: string
              isTest:
                type: boolean
              isBillable:
                type: boolean
              isActive:
                type: boolean
              aiCreditsRolling30DayLimit:
                type: number
                minimum: 0
                nullable: true
              createdAt:
                type: string
              archivedAt:
                type: string
            required:
              - id
              - name
              - internalId
        cursor:
          type: string
      required:
        - items
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````